|  | bits.h File Reference updated Sat Oct 7 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
bits.h File Reference

RE/flex operations on dynamic bit vectors. More...

`#include <cstring>`
`#include <stdint.h>`
Include dependency graph for bits.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | reflex::Bits
| RE/flex Bits class for dynamic bit vectors. More...
struct | reflex::Bits::Bitref
| References a single bit, returned by operator[]. More...

## Namespaces
| reflex

## Detailed Description

RE/flex operations on dynamic bit vectors.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt